unit Mainform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, System.ComponentModel, Borland.Vcl.Menus, Borland.Vcl.ComCtrls,
  Borland.Vcl.ExtCtrls, Borland.Vcl.StdCtrls;
 
type
  TMain_Form = class(TForm)
    MainMenu1: TMainMenu;
    MainMenu2: TMenuItem;
    MBook1: TMenuItem;
    N1: TMenuItem;
    MAbout1: TMenuItem;
    N2: TMenuItem;
    MExit1: TMenuItem;
    Timer1: TTimer;
    Image1: TImage;
    Label1: TLabel;
    StatusBar1: TStatusBar;
    Image2: TImage;
    Timer2: TTimer;
    Image3: TImage;
    procedure MBook1Click(Sender: TObject);
    procedure MAbout1Click(Sender: TObject);
    procedure MExit1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function DataDirectory: string;
  end;

var
  Main_Form: TMain_Form;

implementation
 uses
   A_bout, B_ook;
{$R *.nfm}
var
  kk : integer;
 
procedure TMain_Form.FormActivate(Sender: TObject);
var
  vdirectory : string;
begin
 // Resize ...

 // Image control
 self.Image1.Left := ((self.Width - self.Image1.Width) div 2);
 self.Image1.Top := self.Height div 7;
 // Load Image
 vdirectory :=  DataDirectory  + 'ingraphic1.bmp' ;
 self.Image1.Picture.LoadFromFile(vdirectory);

 self.Image2.Left := ((self.Width - self.Image2.Width) div 2);

 // Label control
 self.label1.Width := self.Width - 100;
 self.label1.Left := (self.Width - self.label1.Width) div 2;
 self.label1.Top := (self.Height * 3) div 5;

 self.StatusBar1.Panels.Items[0].Width :=  (self.Width div 3 );
 self.StatusBar1.Panels.Items[1].Width :=  (self.Width div 3 );
 self.StatusBar1.Panels.Items[2].Width :=  (self.Width div 3 );

 // StatusBar Panel 0, Message ...
 self.StatusBar1.Panels.Items[0].Text := 'Hello ...';

 // StatusBar Panel 1, Date ...
 self.StatusBar1.Panels.Items[1].Text := DateTime.Now.ToLongDateString();

 kk := 1;
end;

function TMain_Form.DataDirectory: string;
begin
  //  { current directory  stored KJV22002.mdb  }
  Result := ExtractFilePath(ParamStr(0));
  Result := ExpandFileName(ExtractFilePath(ParamStr(0)) + '\pic\');

end;

procedure TMain_Form.MBook1Click(Sender: TObject);
begin

// StatusBar Panel 1 = Message
 self.StatusBar1.Panels.Items[0].Text := 'Book Form, moment ...';
 Book.ShowModal;

end;

procedure TMain_Form.MAbout1Click(Sender: TObject);
begin
// StatusBar Panel 1 = Message
 self.StatusBar1.Panels.Items[0].Text := 'About Form, moment ...';
 About.ShowModal;

end;

procedure TMain_Form.MExit1Click(Sender: TObject);
begin
    // Application.Exit();
   close;
end;

procedure TMain_Form.Timer1Timer(Sender: TObject);
begin
    // StatusBar Panel 2, Time ...
 self.StatusBar1.Panels.Items[2].Text :=  DateTime.Now.ToLongTimeString();

end;

procedure TMain_Form.Timer2Timer(Sender: TObject);

begin
      // StatusBar Panel 2, Time ...
      self.StatusBar1.Panels.Items[2].Text :=  DateTime.Now.ToLongTimeString();

    // Animation ....
    if kk = 1 then
      begin
        image2.Visible := True;
        image3.Visible := false;         
      end
    else if kk = 2 then
      begin
        image3.Left := image2.Left;
        image3.Top := image2.Top;
        image3.Visible := True;
        image2.Visible := false;
        kk := 0;

      end;
       kk := kk + 1;

end;

end.
